import React, { ElementType } from 'react';
import PopperJs from '@popperjs/core';
import { IClassNameProps } from '../../../@types';
export interface IMenuPopoverItem extends IClassNameProps {
    disabled?: boolean;
    id: string | number;
    isActive?: boolean;
    isDanger?: boolean;
    onClick?: any;
    value: string | React.ReactElement;
}
export interface IMenuPopoverProps extends IClassNameProps {
    /**
     * Defines disabled state of menu
     */
    disabled?: boolean;
    /**
     * Defines the header title for options
     */
    itemsHeader?: React.ReactNode;
    /**
     * Defines popover wrapper class names
     */
    itemsWrapperClass?: string;
    /**
     * Check if to apply default buttons styles
     */
    isDefaultButtonStyles?: boolean;
    /**
     * Defines menu item element type
     */
    menuItemAs?: ElementType<any | undefined>;
    /**
     * Defines menu item class names
     */
    menuItemClass?: string;
    /**
     * Defines menu item options array
     */
    menuItems: IMenuPopoverItem[];
    /**
     * Defines the default placement of the popover container
     */
    placement?: PopperJs.Placement;
    /**
     * Defines the CSS position of the popover container
     */
    strategy?: PopperJs.PositioningStrategy;
    /**
     * Defines trigger element. Can say trigger button's children
     */
    trigger: string | React.ReactElement;
    /**
     * Defines trigger button additional class names
     */
    triggerButtonClass?: string;
}
export declare function MenuPopover({ className, disabled, itemsHeader, itemsWrapperClass, menuItemAs, menuItemClass, menuItems, placement, strategy, trigger, triggerButtonClass, isDefaultButtonStyles, ...other }: IMenuPopoverProps): JSX.Element;
//# sourceMappingURL=MenuPopover.d.ts.map