import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
import { Orientation } from '../../../@types';
import { IOptionsProps } from './RadioGroupPlateOption';
export interface IRadioGroupPlateProps extends ComponentPropsWithoutRef<'input'> {
    /**
     * Defines disabled state
     */
    disabled?: boolean;
    /**
     * Defines label for SR-Only
     */
    icon: ReactNode;
    /**
     * Defines label for SR-Only
     */
    label?: string;
    /**
     * Defines onChange event handler function
     */
    onChange: (value: any) => void;
    /**
     * Defines className for options wrapper element.
     */
    optionClassName?: string;
    /**
     * Defines className for options content element.
     */
    optionContentClassName?: string;
    /**
     * Defines options list
     */
    options: IOptionsProps[];
    /**
     * Defines Orientation. i.e "horizontal" or "vertical"
     */
    orientation?: keyof typeof Orientation;
    /**
     * Defines whether to show Redio element or not.
     */
    showRadio?: boolean;
    /**
     * Defines selected item value
     */
    value: any;
    /**
     * Defines whether is dark mode ot not(default)
     */
    isDarkMode?: boolean;
}
export declare const RadioGroupPlate: React.ForwardRefExoticComponent<IRadioGroupPlateProps & React.RefAttributes<HTMLInputElement>>;
//# sourceMappingURL=RadioGroupPlate.d.ts.map