import React from 'react';
interface ITabOption {
    /**
     * Defines the appearance of the tab element
     */
    className?: string;
    /**
     * Defines the appearance of disabled tab
     */
    disabled?: boolean;
    /**
     * Defines the uniquness of the tabs
     */
    id: string;
    /**
     * Defines the tab content
     */
    label: React.ReactElement | ((selected: boolean) => React.ReactElement) | string;
    /**
     * Defines the panel content
     */
    panel: React.ReactElement;
}
export interface ITabsProps extends Omit<React.ComponentPropsWithoutRef<'div'>, 'onChange'> {
    /**
     * Defines the default selected index
     */
    defaultIndex?: number;
    /**
     * Defines the gap between each Tab
     */
    gapClass?: string;
    /**
     * Defines the header for vertical tabs
     */
    headerText?: React.ReactNode;
    /**
     * Defines the tab list appearance
     */
    tabListClass?: string;
    /**
     * Defines the keyboard navigation
     */
    manual?: boolean;
    /**
     * Defines the callback to use tabs as controlled component
     */
    onChange: (index: number) => void;
    /**
     * Defines the appearance of the panels
     */
    panelsClass?: string;
    /**
     * Defines the selected index for controlled tab panels
     */
    selectedIndex?: number;
    /**
     * Defines no of panels
     */
    tabs: ITabOption[];
    /**
     * Defines if the tabs are vertical
     */
    vertical?: boolean;
}
export declare function Tabs({ className, defaultIndex, gapClass, headerText, tabListClass, manual, onChange, panelsClass, selectedIndex, tabs, vertical, }: ITabsProps): JSX.Element;
export {};
//# sourceMappingURL=Tabs.d.ts.map