/// <reference types="react" />
import { INote } from '../../../@types';
import { IAddCommentaryProps } from './AddCommentary';
export interface ICommentaryRowProps {
    /**
     * Defines Add Notes component props
     */
    addNotesProps?: Partial<IAddCommentaryProps>;
    /**
     * Defines a function which returns whether this note is owned by current user
     */
    isOwnNote: (note: INote) => boolean;
    /**
     * Defines note object
     */
    note: INote;
    /**
     * Defines on delete event
     */
    onDelete: (note: INote) => void;
    /**
     * Defines on edit event
     */
    onEdit: (note: INote) => void;
}
export declare function CommentaryRow({ addNotesProps, isOwnNote, note, onDelete, onEdit, }: ICommentaryRowProps): JSX.Element;
//# sourceMappingURL=CommentaryRow.d.ts.map