import { INote } from '../../../@types';
export interface INoteProps {
    /**
     * Hide Priority icon
     */
    hidePriority?: boolean;
    /**
     * Hide Reply icon
     */
    hideReply?: boolean;
    /**
     * Defines a function which returns whether this note is owned by current user
     */
    isOwnNote: (note: INote) => boolean;
    /**
     * Defines if description text is plain or from editor.
     */
    isPlainText?: boolean;
    /**
     * Defines note object
     */
    note: INote;
    /**
     * Defines on delete event
     */
    onDelete: (note: INote) => void;
    /**
     * Defines on edit event
     */
    onEdit: (note: INote) => void;
    /**
     * Defines on reply event
     */
    onReply?: (note: INote) => void;
}
//# sourceMappingURL=types.d.ts.map